Solicitudes básicas de la API SERP de Yandex
Solicitud mínima
Sección titulada «Solicitud mínima»curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=proxy"import requests
params = { "engine": "yandex", "api_key": "YOUR_API_KEY", "q": "proxy",}r = requests.get("https://serp.shifter.io/v1", params=params)print(r.json()["organic_results"][:3])import fetch from 'node-fetch';
const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'yandex', api_key: 'YOUR_API_KEY', q: 'proxy',});const data = await (await fetch(url)).json();console.log(data.organic_results.slice(0, 3));Búsqueda dirigida en ruso en San Petersburgo
Sección titulada «Búsqueda dirigida en ruso en San Petersburgo»curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=рестораны&lr=2&lang=ru"params = { "engine": "yandex", "api_key": "YOUR_API_KEY", "q": "рестораны", "lr": 2, "lang": "ru",}r = requests.get("https://serp.shifter.io/v1", params=params)const url = 'https://serp.shifter.io/v1?' + new URLSearchParams({ engine: 'yandex', api_key: 'YOUR_API_KEY', q: 'рестораны', lr: 2, lang: 'ru',});Paginación
Sección titulada «Paginación»Yandex pagina con p (número de página indexado desde 0).
# Page 1 (results 1-10)curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=news&p=0"
# Page 2 (results 11-20)curl "https://serp.shifter.io/v1?engine=yandex&api_key=YOUR_API_KEY&q=news&p=1"